API referenceModeration
Decide Appeal
POST
/api/v1/servers/{guild}/appeals/{id}/decisionAuthorization
session invarn_session<token>
In: cookie
Path Parameters
guild*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$id*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/servers/string/appeals/string/decision" \ -H "Content-Type: application/json" \ -d '{ "decision": "accept" }'{ "id": "string", "guild": "string", "member": "string", "memberName": "string", "caseNumber": 0, "text": "string", "status": "pending", "queueThread": "string", "decidedBy": "string", "decidedAt": "2019-08-24T14:15:22Z", "note": "string", "createdAt": "2019-08-24T14:15:22Z"}